## dnsdist 2.0.0

=== debian/changelog ===
dnsdist (2.0.0-4) unstable; urgency=medium

  * d/rules: fix DEB_VERSION/DEB_VENDOR being empty

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Sep 2025 23:14:19 +0200

dnsdist (2.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Aug 2025 10:52:18 +0200

dnsdist (2.0.0-2) experimental; urgency=medium

  * Fix Build-Depends on systemd-dev
  * Use meson to build, instead of autotools

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 31 Jul 2025 00:52:27 +0200

dnsdist (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 21 Jul 2025 20:28:28 +0200

dnsdist (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc2
  * d/watch: update tarball suffix
  * d/rules: disable dh_dwz as it breaks
  * Drop upstream applied patch
  * d/control: add Built-Using, Static-Built-Using

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Jul 2025 12:17:04 +0200

dnsdist (2.0.0~rc1-2) experimental; urgency=medium

  * Drop accidental B-D: architecture-is-64-bit

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 12 Jul 2025 21:00:44 +0200

dnsdist (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc1
  * Simplify Build-Depends already satisfied in stable
  * Use lua5.3 on non-luajit archs, mirroring upstream
  * Build-Depend: python3-yaml, necessary now
  * Build with rust, enable yaml config
  * Remove libh2o leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 12 Jul 2025 15:50:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Turn on all hardening flags, as we're a networked daemon.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

# for pdns makefile
export RUSTC_TARGET_ARCH=$(DEB_HOST_RUST_TYPE)

# Vendor and version
CXXFLAGS += -DPACKAGEVERSION='"$(DEB_VERSION).$(DEB_VENDOR)"'


%:
	dh $@ --buildsystem=meson

override_dh_auto_clean:
	dh_auto_clean
	rm -f dnslabeltext.cc
	rm -rf debian/cargo_registry

override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	echo> ./dnsdist-rust-lib/rust/Cargo.lock
	chmod a+x debian/configure-helpers/*
	PATH=debian/configure-helpers/:$$PATH dh_auto_configure -- \
	  --sysconfdir=/etc/dnsdist \
	  -Dreproducible=true \
	  -Dsystemd-service=enabled \
	  -Dunit-tests=true \
	  -Ddnscrypt=enabled \
	  -Ddns-over-https=enabled \
	  -Ddns-over-tls=enabled \
	  -Ddnstap=enabled \
	  -Dyaml=enabled \
	  -Debpf=enabled \
	  -Dtls-gnutls=disabled \
	  -Dtls-libssl=enabled \
	  -Dlibsodium=enabled \
	  -Dlibcrypto=enabled \
	  -Dlmdb=enabled \
	  -Dlua=auto \
	  -Dsnmp=enabled \
	  -Dnghttp2=enabled \
	  -Dre2=enabled \
	  -Dxsk=enabled \
	  -Dsystemd-service-user='_dnsdist' \
	  -Dsystemd-service-group='_dnsdist'

override_dh_auto_test:
	echo tests disabled, require working ipv4 stack

override_dh_install:
	dh_auto_install
	install -m 0640 debian/config/dnsdist.conf debian/dnsdist/etc/dnsdist/
	rm debian/dnsdist/etc/dnsdist/dnsdist.conf-dist
	install -d debian/dnsdist/usr/share/dnsdist/snmp
	install -m 644 -t debian/dnsdist/usr/share/dnsdist/snmp DNSDIST-MIB.txt
	# workaround for static libs in non-default dir
	ln -s ./obj-*/target .
	sed -e '/rustc-link-lib=static=dnsdist_rust/d' -i target/*/release/build/dnsdist-rust*/output
	/usr/share/cargo/bin/dh-cargo-built-using dnsdist

override_dh_installexamples:
	cp dnsdist.conf-dist dnsdist.conf
	dh_installexamples
	rm -f dnsdist.conf

override_dh_fixperms:
	dh_fixperms
	chmod 0640 debian/dnsdist/etc/dnsdist/dnsdist.conf

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_dwz:
	# broken, do nothing

## dnsdist 2.0.1

=== meson_options.txt ===
option('dnscrypt', type: 'feature', value: 'disabled', description: 'Enable DNSCrypt')
option('libcap', type: 'feature', value: 'auto', description: 'Enable libcap for capabilities handling')
option('libedit', type: 'feature', value: 'enabled', description: 'Enable libedit')
option('libsodium', type: 'feature', value: 'auto', description: 'Enable libsodium')
option('libcrypto', type: 'feature', value: 'auto', description: 'Enable OpenSSL libcrypto)')
option('libcrypto-path', type: 'string', value: '', description: 'Custom path to find OpenSSL libcrypto')
option('tls-gnutls', type: 'feature', value: 'auto', description: 'GnuTLS-based TLS')
option('lua', type: 'combo', choices: ['auto', 'luajit', 'lua'], value: 'auto', description: 'Lua implementation to use')
option('hardening', type: 'feature', value: 'auto', description: 'Compiler security checks')
option('hardening-experimental-cf', type: 'combo', choices: ['disabled', 'full', 'branch', 'return', 'check'], value: 'disabled', description: 'Control Flow hardening')
option('hardening-experimental-scp', type: 'feature', value: 'disabled', description: 'Stack Clash Protection')
option('hardening-fortify-source', type: 'combo', choices: ['auto', 'disabled', '1', '2', '3'], value: '2', description: 'Source fortification level')
option('ipcipher', type: 'feature', value: 'auto', description: 'IPCipher')
option('tls-libssl', type: 'feature', value: 'auto', description: 'OpenSSL-based TLS')
option('tls-libssl-dir', type: 'string', value: '', description: 'Alternate OpenSSL location')
option('tls-libssl-engines', type: 'boolean', value: false, description: 'OpenSSL-based TLS with TLS engines')
option('tls-libssl-providers', type: 'boolean', value: false, description: 'OpenSSL-based TLS with TLS providers')
option('dns-over-tls', type: 'feature', value: 'auto', description: 'DNS over TLS (requires GnuTLS or OpenSSL)')
option('dns-over-https', type: 'feature', value: 'auto', description: 'DNS over HTTP/2 (requires GnuTLS or OpenSSL)')
option('dns-over-http3', type: 'feature', value: 'auto', description: 'Enable DNS over HTTP/3')
option('dns-over-quic', type: 'feature', value: 'auto', description: 'Enable DNS over QUIC')
option('unit-tests', type: 'boolean', value: false, description: 'Build and run unit tests')
option('reproducible', type: 'boolean', value: false, description: 'Reproducible builds (for distro maintainers, makes debugging difficult)')
option('systemd-service', type: 'feature', value: 'auto', description: 'Systemd integration (requires libsystemd)')
option('systemd-service-user', type: 'string', value: 'dnsdist', description: 'Systemd service user (setuid and unit file; user is not created)')
option('systemd-service-group', type: 'string', value: 'dnsdist', description: 'Systemd service group (setgid and unit file; group is not created)')
option('auto-var-init', type: 'combo', value: 'disabled', choices: ['zero', 'pattern', 'disabled'], description: 'Enable initialization of automatic variables')
option('snmp', type: 'feature', value: 'disabled', description: 'Enable SNMP')
option('dnstap', type: 'feature', value: 'auto', description: 'Enable DNSTAP support through libfstrm')
option('h2o', type: 'feature', value: 'disabled', description: 'Enable H2O library with event loop support for DNS over HTTP/2')
option('nghttp2', type: 'feature', value: 'auto', description: 'Enable nghttp2 library support for DNS over HTTP/2')
option('cdb', type: 'feature', value: 'auto', description: 'CDB key-value store support')
option('lmdb', type: 'feature', value: 'auto', description: 'LMDB key-value store support')
option('quiche', type: 'feature', value: 'auto', description: 'Enable Quiche library support for DNS over QUIC and DNS over HTTP/3')
option('re2', type: 'feature', value: 'auto', description: 'Enable re2 for regular expressions')
option('xsk', type: 'feature', value: 'auto', description: 'Enable AF_XDP / XSK')
option('fuzz-targets', type: 'boolean', value: false, description: 'Enable fuzzing targets')
option('ebpf', type: 'feature', value: 'auto', description: 'Enable eBPF support')
option('fuzzer_ldflags', type: 'string', value: '', description: 'Linker flags used for the fuzzing targets (a path to the libFuzzer static library, for example)')
option('yaml', type: 'feature', value: 'disabled', description: 'Enable YAML configuration')
option('man-pages', type: 'boolean', value: true, description: 'Generate man pages')
option('clang-coverage-format', type: 'boolean', value: false, description: 'Whether to generate coverage data in clang format')

=== debian/changelog ===
dnsdist (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1, includes fix for CVE-2025-30187
    Closes: #1115643
  * Drop upstream-applied patch

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Sep 2025 17:35:43 +0200

dnsdist (2.0.0-6) unstable; urgency=medium

  * d/copyright: Remove old FSF address

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Sep 2025 13:17:29 +0200

dnsdist (2.0.0-5) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * d/rules: drop CARGO_REGISTRY, improves Static-Built-Using

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Sep 2025 17:10:24 +0200

=== debian/control ===
Source: dnsdist
Section: net
Priority: optional
Standards-Version: 4.5.1
Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 dpkg-dev (>= 1.22.5),
 cargo,
 libboost-all-dev,
 libbpf-dev,
 libcap-dev [linux-any],
 libcdb-dev,
 libedit-dev,
 libfstrm-dev,
 liblmdb-dev,
 libluajit-5.1-dev [amd64 arm64] | liblua5.3-dev,
 libnghttp2-dev,
 libprotobuf-dev,
 libre2-dev,
 librust-cxx-build-dev (>= 1.0.130-1~),
 librust-cxx-dev (>= 1.0.130-1~),
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-serde-yaml-dev (>= 0.9.34~),
 libsnmp-dev,
 libsodium-dev,
 libssl-dev,
 libsystemd-dev,
 libxdp-dev,
 meson,
 pkgconf,
 protobuf-compiler,
 python3-yaml,
 ragel,
 systemd,
 systemd-dev | systemd (<< 257),
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/debian/dnsdist.git
Vcs-Browser: https://salsa.debian.org/debian/dnsdist
Homepage: https://dnsdist.org
Rules-Requires-Root: no

Package: dnsdist
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: DNS loadbalancer
 Highly DoS- and abuse-aware load balancing tool for DNS traffic,
 with Lua scripting and configuration capability.
 Can be configured to use various sets of rules to classify, route
 and reject traffic.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 export CARGO=/usr/share/cargo/bin/cargo
 export CARGO_HOME=$(CURDIR)/debian/cargo_home
-export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
 export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
 
 # for pdns makefile

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,versionmangle=s/-/~/ https://downloads.powerdns.com/releases/ dnsdist-([0-9]+.*)\.tar\.xz debian uupdate

## dnsdist 2.0.2

=== meson_options.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 option('libcrypto', type: 'feature', value: 'auto', description: 'Enable OpenSSL libcrypto)')
 option('libcrypto-path', type: 'string', value: '', description: 'Custom path to find OpenSSL libcrypto')
 option('tls-gnutls', type: 'feature', value: 'auto', description: 'GnuTLS-based TLS')
-option('lua', type: 'combo', choices: ['auto', 'luajit', 'lua'], value: 'auto', description: 'Lua implementation to use')
+option('lua', type: 'combo', choices: ['auto', 'luajit', 'lua', 'lua51', 'lua-5.1', 'lua5.1', 'lua52', 'lua-5.2', 'lua5.2', 'lua53', 'lua-5.3', 'lua5.3', 'lua54', 'lua-5.4', 'lua5.4'], value: 'auto', description: 'Lua implementation to use')
 option('hardening', type: 'feature', value: 'auto', description: 'Compiler security checks')
 option('hardening-experimental-cf', type: 'combo', choices: ['disabled', 'full', 'branch', 'return', 'check'], value: 'disabled', description: 'Control Flow hardening')
 option('hardening-experimental-scp', type: 'feature', value: 'disabled', description: 'Stack Clash Protection')

=== debian/changelog ===
dnsdist (2.0.2-1build1) resolute; urgency=medium

  * No change rebuild with the new libabsl soname

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Mar 2026 12:24:46 +0100

dnsdist (2.0.2-1) unstable; urgency=medium

  * Add Recommends: ca-certificates so DoT can perform cert validation
  * Add X-Style: black
  * Build with GnuTLS again
  * New upstream version 2.0.2
  * Fix build with protobuf enabled

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Dec 2025 16:12:17 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  libcdb-dev,
  libedit-dev,
  libfstrm-dev,
+ libgnutls28-dev,
  liblmdb-dev,
  libluajit-5.1-dev [amd64 arm64] | liblua5.3-dev,
  libnghttp2-dev,
@@ -43,6 +44,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/dnsdist
 Homepage: https://dnsdist.org
 Rules-Requires-Root: no
+X-Style: black
 
 Package: dnsdist
 Architecture: any
@@ -52,6 +54,8 @@
  adduser,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ ca-certificates,
 Built-Using:
  ${cargo:Built-Using},
 Static-Built-Using:
